Bug 571367 - Recent PAE kernel package breaks laptop-lid behavior (e.g., suspend)
Summary: Recent PAE kernel package breaks laptop-lid behavior (e.g., suspend)
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 12
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-08 09:55 UTC by Y-H
Modified: 2010-12-03 17:44 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:44:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pm-suspend.log of my thinkpad while trying to go to suspend (5.06 KB, text/plain)
2010-03-10 15:47 UTC, Johannes Postler
no flags Details

Description Y-H 2010-03-08 09:55:00 UTC
Description of problem: 2.6.32.9-67.fc12.i686.PAE breaks laptop-lid behavior


Version-Release number of selected component (if applicable): 2.6.32.9-67.fc12.i686.PAE


How reproducible: always


Steps to Reproduce:
1. Update to 2.6.32.9-67.fc12.i686.PAE
2. Close laptop lid 
3. Note that the setting for laptop-lid behavior in Gnome Power Manager does not appear to affect reproducibility.
  
Actual results: When laptop lid is reopened, the screen remains black. 


Expected results: The GNOME display manager (log-in prompt) should appear. Note expected results occur with 2.6.31.12-174.2.22.fc12.i686.PAE.


Additional info: Not sure if the problems exist with non-i686 or non-PAE versions of the kernel.

Comment 1 Don Fore 2010-03-10 00:24:29 UTC
Kernel 2.6.32.9-67.fc12.i686.PAE #1 SMP Sat Feb 27 09:42:55 UTC 2010 i686 i686 i386 GNU/Linux places laptop in suspend mode regardless of power settings. This was not the case in previous kernels. This behaviour is predictably re-creatable. My laptop model is HP G60-533CL NOTEBOOK.

Comment 2 Johannes Postler 2010-03-10 15:45:53 UTC
I can also report that the suspend mode is not working with recent 2.6.32 kernels on my Thinkpad T400 with Intel onboard graphics. If I close the lid (or start the suspend-mode manually in the Gnome shutdown-menu) the machine tries to suspend (with the suspend-LED blinking) but does not succeed. The LED usually glows if the Thinkpad is in suspend, but it keeps blinking and the fan obviously still works. If I reopen it, the screen displays the fedora logo as seen during the boot process.

The problem is always reproducible. I will create an attachment with /var/log/pm-suspend.log, however as it seems to me there is no useful information in this logfile.

I haven't been using my Thinkpad in the past 3 weeks. Before, the suspend mode worked fine. Therefore I reckon one of the updates in the past 3 weeks is the problem.

If you do need any additional information / logfile, please ask.

Probably Bug 571131 (https://bugzilla.redhat.com/show_bug.cgi?id=571131) is connected to this issue. However, I can't say if there is heavy CPU-Usage since I don't hear the fan speed up (but I almost never hear the fan speeding up...)

Comment 3 Johannes Postler 2010-03-10 15:47:17 UTC
Created attachment 399119 [details]
pm-suspend.log of my thinkpad while trying to go to suspend

Comment 4 Y-H 2010-03-10 20:21:55 UTC
(In reply to comment #2)
> I can also report that the suspend mode is not working with recent 2.6.32
> kernels on my Thinkpad T400 with Intel onboard graphics. If I close the lid (or
> start the suspend-mode manually in the Gnome shutdown-menu) the machine tries
> to suspend (with the suspend-LED blinking) but does not succeed. The LED
> usually glows if the Thinkpad is in suspend, but it keeps blinking and the fan
> obviously still works. If I reopen it, the screen displays the fedora logo as
> seen during the boot process.

My system also fails to suspend. I don't get the Fedora logo when I re-open the lid though, just a blank screen.

Have you tried reverting back to the older kernel  (in GNOME: System > Administration > Boot Configuration)? That's been the temporary fix for me.

Comment 5 Johannes Postler 2010-03-12 12:03:14 UTC
That fixes the problem for me as well, therefore the kernel 2.6.32 package is to be blamed. Please tell me how to provide useful informations to tackle the problem.

Comment 6 Pedro Matiello 2010-03-18 22:07:37 UTC
Same problem with kernel-2.6.32.9-70.fc12.x86_64.

Comment 7 Johannes Postler 2010-04-08 07:31:58 UTC
Works for me with 2.6.32.10-90.fc12.i686.PAE
What about you Pedro, Y-H Chen and Don Fore?

Comment 8 Pedro Matiello 2010-04-08 14:13:26 UTC
kernel-2.6.32.10-90.fc12.x86_64 is failing to suspend here.

Comment 9 Y-H 2010-04-09 06:39:42 UTC
Problem persisting with 2.6.32.10-90.fc12.i686.PAE

Comment 10 Johannes Postler 2010-05-01 15:34:12 UTC
2.6.32.11-99.fc12.i686.PAE introduced the problem again. However, switching back to 2.6.32.10-90 didn't help - stopped working as well. Any idea? This is a really annoying bug.

Comment 11 a1554u2 2010-05-07 22:38:11 UTC
After a failed upgrade from FC11 to FC12, I install 2.6.32.11-99.fc12.i686.PAE on my Thinkpad Z61m. I then had problems with both suspend. In addition, my network would not come up automatically. When I fixed the network problem, my computer also suspended successfully. The next day after a boot, the problems returned. I again fixed the network again. Though the network after boot is now stable, the compute still will not suspend successfully.

Comment 12 a1554u2 2010-05-21 03:05:06 UTC
After being unable to fix FC1, I loaded UBUNTU. The suspend initially worked but a few days later also would not suspend. I removed the Sandisk SD card from my Thinkpad. The system would successfully suspend and resume. I repeated the test a couple of time suspend with the card in and suspending with the card out. The system would only suspend with the card out. I have no way of knowing if removing the SD card when I had FC12 would have corrected the problem.

Comment 13 Johannes Postler 2010-05-21 08:53:56 UTC
I can confirm, what a1554u2 found out. Same here on FC12 with the newest kernel 2.6.32.12-115.fc12.i686.PAE. After removing my SD-Card (why do I keep that SD-Card in the reader anyway??) my Thinkpad is able to suspend again. So this is the way I tested it:

1) SD-Card inside, close lid, reopen -> frozen...
2) Shutdown the Thinkpad (3 sec. Power-switch)
3) Remove SD-Card & switch on again
4) Boot...
5) Try to suspend

After the reboot my network was disabled! I experienced this some time ago, but not recently. Maybe this is also somehow involved in the issue.

Comment 14 Y-H 2010-05-21 17:52:34 UTC
I don't have an SD card reader on my laptop. The only attachment I have is a USB mouse.

Comment 15 a1554u2 2010-05-24 00:34:28 UTC
Every time I forced a reboot by holding down the power button, the network failed to start automatically the next time the system rebooted. When my system was restarted cleanly, the network started correctly. The above behavior was the same with FC12 and Ubuntu. I believe that is a separate problem. 

Because of Johannes confirmation about the SD-card, I will be reinstalling FC12.

Comment 16 Bug Zapper 2010-11-03 20:28:38 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Steve Chapel 2010-11-06 17:33:19 UTC
I'm still experiencing this problem in Fedora 13.

Comment 18 Johannes Postler 2010-11-09 10:14:22 UTC
My machine does not show this particular problem with the standby mode and SD-Cards any more when running 2.6.35.6-48.fc14.i686.PAE (F14).

However, standby does not work as reliably as it used to in Fedora 13. Sometimes (and I don't really know on what this "sometimes" depends), my notebook just doesn't go to standby when closing the lid. If I then check the Energy Settings, it doesn't even offer an option "Go to Standby". Additionally, the notebook can't be shut down then, except via a terminal as root.

Does anybody else experience similar behaviour?

My Smolt-Profile:
http://www.smolts.org/client/show/pub_33eb2658-c506-4d77-8341-2389bea9c$

Comment 19 Bug Zapper 2010-12-03 17:44:04 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.